[med-svn] [python-fitbit] 02/13: Added d/ directory with example files

Iain Learmonth irl-guest at moszumanska.debian.org
Mon Feb 3 21:25:53 UTC 2014


This is an automated email from the git hooks/post-receive script.

irl-guest pushed a commit to branch master
in repository python-fitbit.

commit 8a4ea35016d5b097faec1d66d5d5e03b53102a10
Author: Iain R. Learmonth <irl at fsfe.org>
Date:   Mon Feb 3 19:17:35 2014 +0000

    Added d/ directory with example files
---
 debian/changelog       |  5 +++++
 debian/compat          |  1 +
 debian/control         | 16 ++++++++++++++++
 debian/copyright       | 28 ++++++++++++++++++++++++++++
 debian/get-orig-source | 45 +++++++++++++++++++++++++++++++++++++++++++++
 debian/rules           | 23 +++++++++++++++++++++++
 debian/source/format   |  1 +
 debian/upstream        | 12 ++++++++++++
 debian/watch           | 22 ++++++++++++++++++++++
 9 files changed, 153 insertions(+)

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..b78c1b3
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+<pkg> (<version>-1) UNRELEASED; urgency=low
+
+  * Initial release (Closes: #<bug>)
+
+ -- DMPT <debian-med-packaging at lists.alioth.debian.org>  Thu, 24 May 2012 14:30:13 +0200
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..28c2416
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,16 @@
+Source: <pkg>
+Section: science
+Priority: optional
+Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille at debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/<pkg>/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/<pkg>/trunk/
+Homepage: <homepage>
+
+Package: <pkg>
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: <short_description>
+ <long_description>
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..c392dfe
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,28 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: python-fitbit
+Source: https://github.com/orcasgit/python-fitbit
+
+Files: *
+Copyright: (C) 2012 ORCAS
+License: Apache-2.0
+
+Files: debian/*
+Copyright: (C) 2014 Iain R. Learmonth
+License: Apache-2.0
+
+License: Apache-2.0
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+   .
+       http://www.apache.org/licenses/LICENSE-2.0
+   .
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   .
+   On Debian systems, the full text of the license is available at
+   `/usr/share/common-licenses/Apache-2.0'.
+
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..e486809
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,45 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+#        http://www.debian.org/doc/debian-policy/ch-source.html
+#        "get-orig-source (optional)"
+#        This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+#     source directory featuring the debian/ dir
+
+COMPRESS=xz
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    uscan --force-download
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+TARDIR=${NAME}-${VERSION}
+mkdir -p ../tarballs
+cd ../tarballs
+# need to clean up the tarballs dir first because upstream tarball might
+# contain a directory with unpredictable name
+rm -rf *
+tar -xaf ../${TARDIR}.tar.gz
+
+UPSTREAMTARDIR=`find . -mindepth 1 -maxdepth 1 -type d`
+if [ "${UPSTREAMTARDIR}" != "${TARDIR}" ] ; then
+    mv "${UPSTREAMTARDIR}" "${TARDIR}"
+fi
+
+# Remove useless binaries
+# ... do something which needs to be done ...
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..58ec00b
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,23 @@
+#!/usr/bin/make -f
+
+# DH_VERBOSE := 1
+
+# some helpful variables - uncomment them if needed
+# shamelessly stolen from http://jmtd.net/log/awk/
+#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
+#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
+#GIT_TAG        := $(subst ~,_,$(VERSION))
+
+# alternatively to manually set those variables you can
+#  include /usr/share/cdbs/1/rules/buildvars.mk
+# and use what is set there.  Any hint whether dh might set variables in
+# a similar manner are welcome.
+
+%:
+	dh $@
+
+#get-orig-source:
+#	. debian/get-orig-source
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/upstream b/debian/upstream
new file mode 100644
index 0000000..d8b5812
--- /dev/null
+++ b/debian/upstream
@@ -0,0 +1,12 @@
+Reference:
+  Author: 
+  Title: 
+  Journal: 
+  Year: 
+  Volume: 
+  Number: 
+  Pages: 
+  DOI: 
+  PMID:
+  URL: 
+  eprint: 
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..432d77c
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,22 @@
+version=3
+
+# Uncomment to examine a Webpage
+# <Webpage URL> <string match>
+#http://www.example.com/downloads.php #PACKAGE#-(.*)\.tar\.gz
+
+# Uncomment to examine a Webserver directory
+#http://www.example.com/pub/#PACKAGE#-(.*)\.tar\.gz
+
+# Uncommment to examine a FTP server
+#ftp://ftp.example.com/pub/#PACKAGE#-(.*)\.tar\.gz debian uupdate
+
+# Uncomment to find new files on sourceforge
+# http://sf.net/#PACKAGE#/#PACKAGE#-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+
+# Uncomment to find new files on GooglePages
+# http://code.google.com/p/#PACKAGE#/downloads/list?can=1 \
+#  .*/#PACKAGE#-([-.\d]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
+
+# if tweaking of source is needed
+# \
+# debian debian/get-orig-source

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/python-fitbit.git



More information about the debian-med-commit mailing list